Deploy hybrid subnet appliance
curl --request POST \
--url https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"celumCA": "<string>",
"celumUrl": "<string>",
"compute": "<string>",
"datastore": "<string>",
"folder": "<string>",
"management": {
"address": "<string>",
"dhcp": true,
"dns": [
"<string>"
],
"gateway": "<string>",
"search": [
"<string>"
]
},
"managementNetwork": "<string>",
"replace": true,
"source": "<string>",
"sshAuthorizedKeys": [
"<string>"
],
"trunkNetwork": "<string>",
"vmName": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
payload = {
"celumCA": "<string>",
"celumUrl": "<string>",
"compute": "<string>",
"datastore": "<string>",
"folder": "<string>",
"management": {
"address": "<string>",
"dhcp": True,
"dns": ["<string>"],
"gateway": "<string>",
"search": ["<string>"]
},
"managementNetwork": "<string>",
"replace": True,
"source": "<string>",
"sshAuthorizedKeys": ["<string>"],
"trunkNetwork": "<string>",
"vmName": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
celumCA: '<string>',
celumUrl: '<string>',
compute: '<string>',
datastore: '<string>',
folder: '<string>',
management: {
address: '<string>',
dhcp: true,
dns: ['<string>'],
gateway: '<string>',
search: ['<string>']
},
managementNetwork: '<string>',
replace: true,
source: '<string>',
sshAuthorizedKeys: ['<string>'],
trunkNetwork: '<string>',
vmName: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'celumCA' => '<string>',
'celumUrl' => '<string>',
'compute' => '<string>',
'datastore' => '<string>',
'folder' => '<string>',
'management' => [
'address' => '<string>',
'dhcp' => true,
'dns' => [
'<string>'
],
'gateway' => '<string>',
'search' => [
'<string>'
]
],
'managementNetwork' => '<string>',
'replace' => true,
'source' => '<string>',
'sshAuthorizedKeys' => [
'<string>'
],
'trunkNetwork' => '<string>',
'vmName' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
payload := strings.NewReader("{\n \"celumCA\": \"<string>\",\n \"celumUrl\": \"<string>\",\n \"compute\": \"<string>\",\n \"datastore\": \"<string>\",\n \"folder\": \"<string>\",\n \"management\": {\n \"address\": \"<string>\",\n \"dhcp\": true,\n \"dns\": [\n \"<string>\"\n ],\n \"gateway\": \"<string>\",\n \"search\": [\n \"<string>\"\n ]\n },\n \"managementNetwork\": \"<string>\",\n \"replace\": true,\n \"source\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"trunkNetwork\": \"<string>\",\n \"vmName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"celumCA\": \"<string>\",\n \"celumUrl\": \"<string>\",\n \"compute\": \"<string>\",\n \"datastore\": \"<string>\",\n \"folder\": \"<string>\",\n \"management\": {\n \"address\": \"<string>\",\n \"dhcp\": true,\n \"dns\": [\n \"<string>\"\n ],\n \"gateway\": \"<string>\",\n \"search\": [\n \"<string>\"\n ]\n },\n \"managementNetwork\": \"<string>\",\n \"replace\": true,\n \"source\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"trunkNetwork\": \"<string>\",\n \"vmName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"celumCA\": \"<string>\",\n \"celumUrl\": \"<string>\",\n \"compute\": \"<string>\",\n \"datastore\": \"<string>\",\n \"folder\": \"<string>\",\n \"management\": {\n \"address\": \"<string>\",\n \"dhcp\": true,\n \"dns\": [\n \"<string>\"\n ],\n \"gateway\": \"<string>\",\n \"search\": [\n \"<string>\"\n ]\n },\n \"managementNetwork\": \"<string>\",\n \"replace\": true,\n \"source\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"trunkNetwork\": \"<string>\",\n \"vmName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}networking
Deploy hybrid subnet appliance
Hybrid subnets — a proxy-ARP appliance on a source VLAN answers for the
Authorisation: cilium:Apply on krn:celum:supervisor:{name}:cilium:*.
Assistant tool: deploy_hybrid_subnet_appliance
POST
/
api
/
supervisors
/
{name}
/
networking
/
hybrid-subnet-appliances
/
{appliance}
/
deploy
Deploy hybrid subnet appliance
curl --request POST \
--url https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"celumCA": "<string>",
"celumUrl": "<string>",
"compute": "<string>",
"datastore": "<string>",
"folder": "<string>",
"management": {
"address": "<string>",
"dhcp": true,
"dns": [
"<string>"
],
"gateway": "<string>",
"search": [
"<string>"
]
},
"managementNetwork": "<string>",
"replace": true,
"source": "<string>",
"sshAuthorizedKeys": [
"<string>"
],
"trunkNetwork": "<string>",
"vmName": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
payload = {
"celumCA": "<string>",
"celumUrl": "<string>",
"compute": "<string>",
"datastore": "<string>",
"folder": "<string>",
"management": {
"address": "<string>",
"dhcp": True,
"dns": ["<string>"],
"gateway": "<string>",
"search": ["<string>"]
},
"managementNetwork": "<string>",
"replace": True,
"source": "<string>",
"sshAuthorizedKeys": ["<string>"],
"trunkNetwork": "<string>",
"vmName": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
celumCA: '<string>',
celumUrl: '<string>',
compute: '<string>',
datastore: '<string>',
folder: '<string>',
management: {
address: '<string>',
dhcp: true,
dns: ['<string>'],
gateway: '<string>',
search: ['<string>']
},
managementNetwork: '<string>',
replace: true,
source: '<string>',
sshAuthorizedKeys: ['<string>'],
trunkNetwork: '<string>',
vmName: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'celumCA' => '<string>',
'celumUrl' => '<string>',
'compute' => '<string>',
'datastore' => '<string>',
'folder' => '<string>',
'management' => [
'address' => '<string>',
'dhcp' => true,
'dns' => [
'<string>'
],
'gateway' => '<string>',
'search' => [
'<string>'
]
],
'managementNetwork' => '<string>',
'replace' => true,
'source' => '<string>',
'sshAuthorizedKeys' => [
'<string>'
],
'trunkNetwork' => '<string>',
'vmName' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
payload := strings.NewReader("{\n \"celumCA\": \"<string>\",\n \"celumUrl\": \"<string>\",\n \"compute\": \"<string>\",\n \"datastore\": \"<string>\",\n \"folder\": \"<string>\",\n \"management\": {\n \"address\": \"<string>\",\n \"dhcp\": true,\n \"dns\": [\n \"<string>\"\n ],\n \"gateway\": \"<string>\",\n \"search\": [\n \"<string>\"\n ]\n },\n \"managementNetwork\": \"<string>\",\n \"replace\": true,\n \"source\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"trunkNetwork\": \"<string>\",\n \"vmName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"celumCA\": \"<string>\",\n \"celumUrl\": \"<string>\",\n \"compute\": \"<string>\",\n \"datastore\": \"<string>\",\n \"folder\": \"<string>\",\n \"management\": {\n \"address\": \"<string>\",\n \"dhcp\": true,\n \"dns\": [\n \"<string>\"\n ],\n \"gateway\": \"<string>\",\n \"search\": [\n \"<string>\"\n ]\n },\n \"managementNetwork\": \"<string>\",\n \"replace\": true,\n \"source\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"trunkNetwork\": \"<string>\",\n \"vmName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"celumCA\": \"<string>\",\n \"celumUrl\": \"<string>\",\n \"compute\": \"<string>\",\n \"datastore\": \"<string>\",\n \"folder\": \"<string>\",\n \"management\": {\n \"address\": \"<string>\",\n \"dhcp\": true,\n \"dns\": [\n \"<string>\"\n ],\n \"gateway\": \"<string>\",\n \"search\": [\n \"<string>\"\n ]\n },\n \"managementNetwork\": \"<string>\",\n \"replace\": true,\n \"source\": \"<string>\",\n \"sshAuthorizedKeys\": [\n \"<string>\"\n ],\n \"trunkNetwork\": \"<string>\",\n \"vmName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json
Response
Accepted. The body is not described: the code sends map[string]any.